using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;
using System.ComponentModel;

namespace DataGrid
{
    /// <summary>
    /// Interaction logic for DataGridAddProperties.xaml
    /// </summary>
    public partial class DataGridAddProperties : Window
    {
        ICollectionView view;

        public DataGridAddProperties()
        {
            InitializeComponent();
            view =
CollectionViewSource.GetDefaultView(this.DataContext as Employees);
        }

        private void CheckBox_Checked(object sender, RoutedEventArgs e)
        {
            view.GroupDescriptions.Add(new PropertyGroupDescription("IsPresent"));
        }

        private void CheckBox_Unchecked(object sender, RoutedEventArgs e)
        {
            view.GroupDescriptions.Clear();
        }
    }
}
